unit u_frmMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, uKC;

type
  TfrmMain = class(TForm)
    Label1: TLabel;
    lstZone: TListBox;
    Label2: TLabel;
    lstLevel: TListBox;
    cmdGenerate: TButton;
    cmdClear: TButton;
    txtPass: TMemo;
    Label3: TLabel;
    Label4: TLabel;
    procedure lstZoneClick(Sender: TObject);
    procedure cmdClearClick(Sender: TObject);
    procedure cmdGenerateClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;


implementation

{$R *.dfm}

procedure TfrmMain.lstZoneClick(Sender: TObject);
var
   i: Integer;
begin
     lstLevel.Clear;
     if (lstZone.ItemIndex = 0) or (lstZone.ItemIndex = 1) or (lstZone.ItemIndex = 3) then begin
        for i := 0 to 17 do lstLevel.AddItem(Format('%d', [i]), nil);
     end;

     if (lstZone.ItemIndex = 2) then begin
        for i := 0 to 16 do lstLevel.AddItem(Format('%d', [i]), nil);
     end;

     if (lstZone.ItemIndex = 4) then begin
        for i := 0 to 29 do lstLevel.AddItem(Format('%d', [i]), nil);
     end;
end;

procedure TfrmMain.cmdClearClick(Sender: TObject);
begin
     txtPass.Clear;
end;

procedure TfrmMain.cmdGenerateClick(Sender: TObject);
var
   i: Integer;
begin
     txtPass.Clear;

     if (lstZone.ItemIndex = -1) or (lstLevel.ItemIndex = -1) then begin
        ShowMessage('You must select both, a Zone and a Level.');
        Exit;
     end;

     for i := 0 to $FF do begin
         txtPass.Text := txtPass.Text + GeneratePassword(i, lstZone.ItemIndex, lstLevel.ItemIndex) + ',';
     end;
end;

end.
